export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        path: '/user',
        routes: [
          {
            name: 'login',
            path: '/user/login',
            component: './user/Login',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/welcome',
    name: 'welcome',
    icon: 'smile',
    component: './Welcome',
  },
  {
    path: '/admin',
    name: 'admin',
    icon: 'crown',
    access: 'canAdmin',
    component: './Admin',
    routes: [
      {
        path: '/admin/sub-page',
        name: 'sub-page',
        icon: 'smile',
        component: './Welcome',
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/PlatformMessageManagement',
    name: '消息管理',
    icon: 'crown',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/PlatformMessageManagement/MessageManageList',
        name: '平台消息管理',
        icon: 'smile',
        component: './PlatformMessageManagement/MessageManageList',
      },
      {
        path: '/PlatformMessageManagement/MessageEdit',
        name: '消息查看',
        component: './PlatformMessageManagement/MessageEdit',
        hideInMenu: true,
      },
    ],
  },

  {
    path: '/OrderManage',
    name: '订单调度',
    icon: 'InsertRowLeftOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/OrderManage',
        name: '订单调度',
        component: './OrderManage',
      },
    ],
  },
  {
    path: '/Finance',
    name: '财务管理',
    icon: 'InsertRowLeftOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/Finance/AccountLog',
        name: '平台流水',
        component: './Finance/AccountLog',
      },
      {
        path: '/Finance/Withdrawal',
        name: '提现管理',
        component: './Finance/Withdrawal',
      },
    ],
  },
  {
    path: '/SystemManagement',
    name: '系统管理',
    icon: 'crown',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/SystemManagement/Administrator',
        name: '管理员',
        icon: 'smile',
        component: './SystemManagement/Administrator',
      },
      {
        path: '/SystemManagement/UserRights',
        name: '角色权限',
        component: './SystemManagement/UserRights',
      },
      {
        path: '/SystemManagement/BasicParameters',
        name: '基本参数',
        component: './SystemManagement/BasicParameters',
      },
      {
        path: '/SystemManagement/MapExtent',
        name: '区域设置',
        component: './SystemManagement/MapExtent',
        // hideInMenu: true
      },
      {
        path: '/SystemManagement/Agreement',
        name: '协议对接',
        component: './SystemManagement/Agreement',
        // hideInMenu: true
      },
    ],
  },
  {
    path: '/',
    redirect: '/welcome',
  },
  {
    component: './404',
  },
];
